# $Id: noid.spec 37 2006-05-08 23:13:24Z rasan $

%define	module	Noid
%define	name	noid
%define	version	0.423
%define	release	2rr

Summary:	Mint and manage nice opaque identifiers.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Libraries
Packager:	Rasan Rasch <rasan@nyu.edu>
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/J/JA/JAK/%{module}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl
Requires:	perl-BerkeleyDB
Buildarch:	noarch

%description
The noid utility creates minters (identifier generators) and accepts
commands that operate them.  Once created, a minter can be used to produce
persistent, globally unique names for documents, databases, images,
vocabulary terms, etc.  Properly managed, these identifiers can be used as
long term durable information object references within naming schemes such
as ARK, PURL, URN, DOI, and LSID.  At the same time, alternative minters
can be set up to produce short-lived names for transaction identifiers,
compact web server session keys, and other ephemera.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%{__rm} -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
%{__rm} -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Noid.pm
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Mon Apr 03 2006 Rasan Rasch <rasan@nyu.edu> 0.423-2rr
- Rebuild for FC5

* Wed Nov 23 2005 Rasan Rasch <rasan@nyu.edu> 0.423-1rr
- Initial RPM release
